/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreStudyForm;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreStudyFormRecord extends TableRecordImpl<VCoreStudyFormRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_study_form.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.key_element_type</code>.
     */
    public void setKeyElementType(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.key_element_type</code>.
     */
    public Integer getKeyElementType() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.dn</code>.
     */
    public void setDn(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.dn</code>.
     */
    public String getDn() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.short_name</code>.
     */
    public void setShortName(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.short_name</code>.
     */
    public String getShortName() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.is_public</code>.
     */
    public void setIsPublic(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.is_public</code>.
     */
    public Integer getIsPublic() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.stage</code>.
     */
    public void setStage(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.stage</code>.
     */
    public Integer getStage() {
        return (Integer) get(8);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.tree</code>.
     */
    public void setTree(String value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.tree</code>.
     */
    public String getTree() {
        return (String) get(9);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.study_element</code>.
     */
    public void setStudyElement(Integer value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.study_element</code>.
     */
    public Integer getStudyElement() {
        return (Integer) get(10);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.study_id</code>.
     */
    public void setStudyId(Integer value) {
        set(11, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.study_id</code>.
     */
    public Integer getStudyId() {
        return (Integer) get(11);
    }

    /**
     * Setter for <code>common_dd.v_core_study_form.study_name</code>.
     */
    public void setStudyName(String value) {
        set(12, value);
    }

    /**
     * Getter for <code>common_dd.v_core_study_form.study_name</code>.
     */
    public String getStudyName() {
        return (String) get(12);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreStudyFormRecord
     */
    public VCoreStudyFormRecord() {
        super(VCoreStudyForm.V_CORE_STUDY_FORM);
    }

    /**
     * Create a detached, initialised VCoreStudyFormRecord
     */
    public VCoreStudyFormRecord(Integer keyElement, Integer keyParentElement, Integer keyElementType, String dn, Integer orderNr, String shortName, Integer isPublic, String hierLang, Integer stage, String tree, Integer studyElement, Integer studyId, String studyName) {
        super(VCoreStudyForm.V_CORE_STUDY_FORM);

        setKeyElement(keyElement);
        setKeyParentElement(keyParentElement);
        setKeyElementType(keyElementType);
        setDn(dn);
        setOrderNr(orderNr);
        setShortName(shortName);
        setIsPublic(isPublic);
        setHierLang(hierLang);
        setStage(stage);
        setTree(tree);
        setStudyElement(studyElement);
        setStudyId(studyId);
        setStudyName(studyName);
        resetChangedOnNotNull();
    }
}
